Package org.apache.lucene.search

## Class DocIdStream

- java.lang.Object
- - org.apache.lucene.search.DocIdStream

-     public abstract class DocIdStream
      extends Object

  A stream of doc IDs. Most methods on `DocIdStream`s are terminal, meaning that the `DocIdStream` may not be further used.
  See Also:
    `LeafCollector.collect(DocIdStream)`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DocIdStream()` | Sole constructor, for invocation by sub classes.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `count()` | Count the number of entries in this stream.
    `abstract void` | `forEach​(CheckedIntConsumer<IOException> consumer)` | Iterate over doc IDs contained in this stream in order, calling the given `CheckedIntConsumer` on them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocIdStream

          protected DocIdStream()

      Sole constructor, for invocation by sub classes.

  - ### Method Detail

    - #### forEach

          public abstract void forEach​(CheckedIntConsumer<IOException> consumer)
                                throws IOException

      Iterate over doc IDs contained in this stream in order, calling the given `CheckedIntConsumer` on them. This is a terminal operation.
      Throws:
        `IOException`

    - #### count

          public int count()
                    throws IOException

      Count the number of entries in this stream. This is a terminal operation.
      Throws:
        `IOException`